Skip to main content
GET
/
api
/
v1
/
errors
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/errors
import requests

url = "https://api.staging.qyl.dev/api/v1/errors"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "error_id": "<string>",
      "error.type": "<string>",
      "message": "<string>",
      "fingerprint": "<string>",
      "first_seen": "2023-11-07T05:31:56Z",
      "last_seen": "2023-11-07T05:31:56Z",
      "occurrence_count": 1,
      "affected_users": 1,
      "affected_services": [
        "<string>"
      ],
      "assigned_to": "<string>",
      "issue_url": "<string>",
      "sample_traces": [
        "0af7651916cd43dd8448eb211c80319c"
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Query Parameters

serviceName
string

Service name filter

status
enum<string>

Status filter Error tracking status

Available options:
new,
acknowledged,
in_progress,
resolved,
ignored,
regressed,
wont_fix
category
enum<string>

Category filter High-level error categories

Available options:
client,
server,
network,
timeout,
validation,
authentication,
authorization,
rate_limit,
not_found,
conflict,
internal,
external,
database,
configuration,
unknown
startTime
string<date-time>

Start time

endTime
string<date-time>

End time

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 1000
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)